2018-08-18 18:05 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004782Kali Linux[All Projects] General Bugpublic2018-06-05 08:19
Reporterpkreuzt 
Assigned Tothreeway 
PrioritynormalSeveritycrashReproducibilityrandom
StatusresolvedResolutionfixed 
Product Version2018.2 
Target VersionFixed in Version2018.3 
Summary0004782: Random crashes w/ Kali 2018.2 armv7 in Beaglebone Black
DescriptionI'm having a lot of crashes when running on this board. The system freezes completely and sometimes LEDs go off and board seems unpowered but the connected USB hub is lit, other times LEDs stay lit but fixed and OS is irresponsive. Since this board is not connected to a screen, I'm unable to debug the problem. At first I thought it was a damaged SD card, but changed to a new one and the problem persists. All I can say it seems to happen around network timesync, but not always.

To help debug I should describe my setup: BBB is powered with barrel adapter and connected to powered USB hub, where there are two wireless ifaces, an Atheros AR9271 used with hostapd as AP (static IP serving dhcp with isc-dhcp-server) and a Ralink 3070 used as a client to another wireless network providing internet access (with dhcp dynamic IP). Kali is installed in a MicroSD card (16GB). Initial setup is done connecting BBB to wired ethernet network, during which crashes were not noted. As I said, they seem to happen a while after client wifi gets connected and ntpdate gets fired.

Also observed after a number of cycles (crash-->forced manual reboot) SD card system gets corrupted and begins to throw errors when connecting card to PC reader.

Appended relevant syslog portion of a crash.
Attached Files
  • txt file icon crash.txt (1,182 bytes) 2018-06-01 00:08 -
    Mar  5 23:20:04 Bone dhclient[1008]: DHCPDISCOVER on antena to 255.255.255.255 port 67 interval 8
    Mar  5 23:20:04 Bone dhclient[1008]: DHCPREQUEST of 192.168.1.36 on antena to 255.255.255.255 port 67
    Mar  5 23:20:04 Bone dhclient[1008]: DHCPOFFER of 192.168.1.36 from 192.168.1.1
    Mar  5 23:20:04 Bone dhclient[1008]: DHCPACK of 192.168.1.36 from 192.168.1.1
    Mar  5 23:20:04 Bone dhclient[1008]: bound to 192.168.1.36 -- renewal in 66924 seconds.
    Mar  5 23:20:05 Bone systemd[1]: Reloading OpenBSD Secure Shell server.
    Mar  5 23:20:06 Bone systemd[1]: Reloaded OpenBSD Secure Shell server.
    Jun  1 01:32:21 Bone ntpdate[1047]: step time server 158.227.98.15 offset 7521128.172592 sec
    Jun  1 01:32:21 Bone systemd[1]: Starting Daily apt download activities...
    Jun  1 01:32:30 Bone systemd[1]: Started Daily apt download activities.
    Jun  1 01:32:31 Bone systemd[1]: Starting Daily apt upgrade and clean activities...
    Jun  1 01:32:38 Bone systemd[1]: Started Daily apt upgrade and clean activities.
    Jun  1 01:33:36 Bone systemd[1]: Started Session 4 of user pavel.
    ^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@
    txt file icon crash.txt (1,182 bytes) 2018-06-01 00:08 +
  • patch file icon 4.9.patch (398 bytes) 2018-06-03 17:47 -
    202c202
    < git clone https://github.com/beagleboard/linux -b 4.1 --depth 1 ${basedir}/root/usr/src/kernel
    ---
    > git clone https://github.com/beagleboard/linux -b 4.9 --depth 1 ${basedir}/root/usr/src/kernel
    209c209
    < patch -p1 --no-backup-if-mismatch < ${basedir}/../patches/kali-wifi-injection-4.1.patch
    ---
    > patch -p1 --no-backup-if-mismatch < ${basedir}/../patches/kali-wifi-injection-4.9.patch
    
    patch file icon 4.9.patch (398 bytes) 2018-06-03 17:47 +

-Relationships
+Relationships

-Notes

~0009200

pkreuzt (reporter)

UPDATE:

Suspecting from the kernel (4.1 branch on official Kali BBB image) I built a new image using kali-arm-build-scripts (https://github.com/offensive-security/kali-arm-build-scripts ) but switching to kernel branch 4.9. I chose this because wifi injection patches already existed on kali for this kernel. The newly built image doesn't crash anymore, no crashes so far in 36 hours uptime. It could be a coincidence, but. . .
So I suggest bumping kernel version of bbb.sh from 4.1 to 4.9. FYI the build steps taken are almost the recommended in kali-arm-build-scripts, with following differences:

- Didn't used recommended gcc ( https://github.com/offensive-security/gcc-arm-linux-gnueabihf-4.7 ) since there is already a cross compiler in repo and I had that already installed, whichs happens to be gcc-arm-linux-gnueabihf package version 4:7.2.0-1d1.

- Didn't installed all build-deps packages, since *-multilib are not necessary for BBB.

- Just edited bbb.sh to change kernel version from 4.1 to 4.9, patch appended.

~0009201

rhertzog (administrator)

@threeway Please have a look at this bug.

~0009202

threeway (developer)

Thank you so much for the report @pkreuzt!

Appreciate the reproduction steps, and observed the same things here.

In the future, you can also submit this as a pull request on the kali-arm-build-scripts but a patch here works just as well!

I'll push the updated patch shortly, and see about getting an updated image released soon!

~0009206

threeway (developer)

Updated image is posted as 2018.2a

Thanks again for the report, the steps to reproduce were extremely helpful!
+Notes

-Issue History
Date Modified Username Field Change
2018-06-01 00:08 pkreuzt New Issue
2018-06-01 00:08 pkreuzt File Added: crash.txt
2018-06-03 17:47 pkreuzt File Added: 4.9.patch
2018-06-03 17:47 pkreuzt Note Added: 0009200
2018-06-03 19:02 rhertzog Assigned To => threeway
2018-06-03 19:02 rhertzog Status new => assigned
2018-06-03 19:03 rhertzog Note Added: 0009201
2018-06-04 21:22 threeway Note Added: 0009202
2018-06-05 08:19 threeway Status assigned => resolved
2018-06-05 08:19 threeway Resolution open => fixed
2018-06-05 08:19 threeway Fixed in Version => 2018.3
2018-06-05 08:19 threeway Note Added: 0009206
+Issue History